Use this API to manage emoji reactions.

GitLab objects that accept emoji reactions are called awardables. You can react with emoji on the following resources:

List all emoji reactions for an issue

GET /api/v4/projects/{id}/issues/{issue_iid}/award_emoji

Lists all emoji reactions for a specified issue. This endpoint can be accessed without authentication if the issue is publicly accessible.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
issue_iid
Path, required
IntegerID (iid for merge requests/issues, id for snippets) of an awardable
page
Query
IntegerCurrent page number
Default: 1
Example: 1
per_page
Query
IntegerNumber of items per page
Default: 20
Example: 20

Responses

CodeDescriptionSchema
200OKAPIEntitiesAwardEmoji
400Bad Request—
404Not Found—

Add an emoji reaction to an issue

POST /api/v4/projects/{id}/issues/{issue_iid}/award_emoji

Adds an emoji reaction to an issue.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
issue_iid
Path, required
IntegerThe internal ID of an issuable

Request body (application/json)

PropertyTypeDescription
name
Required
StringName of the emoji without colons

Responses

CodeDescriptionSchema
201CreatedAPIEntitiesAwardEmoji
400Bad Request—
404Not Found—

Retrieve an emoji reaction from an issue

GET /api/v4/projects/{id}/issues/{issue_iid}/award_emoji/{award_id}

Retrieves a specified emoji reaction from an issue. This endpoint can be accessed without authentication if the issue is publicly accessible.

Parameters

NameTypeDescription
award_id
Path, required
IntegerID of the emoji reaction
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
issue_iid
Path, required
IntegerThe internal ID of an issuable

Responses

CodeDescriptionSchema
200OKAPIEntitiesAwardEmoji
400Bad Request—
404Not Found—

Delete an emoji reaction from an issue

DELETE /api/v4/projects/{id}/issues/{issue_iid}/award_emoji/{award_id}

Deletes a specified emoji reaction from an issue. Only an administrator or the user who added the reaction can delete it.

Parameters

NameTypeDescription
award_id
Path, required
IntegerID of an emoji reaction
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
issue_iid
Path, required
IntegerThe internal ID of an issuable

Responses

CodeDescriptionSchema
204No Content—
400Bad Request—
401Unauthorized—
404Not Found—

List all emoji reactions for an issue comment

GET /api/v4/projects/{id}/issues/{issue_iid}/notes/{note_id}/award_emoji

Lists all emoji reactions for a specified comment on an issue. This endpoint can be accessed without authentication if the comment is publicly accessible.

Parameters

NameTypeDescription
note_id
Path, required
IntegerThe ID of a note
page
Query
IntegerCurrent page number
Default: 1
Example: 1
per_page
Query
IntegerNumber of items per page
Default: 20
Example: 20
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
issue_iid
Path, required
IntegerThe internal ID of an issuable

Responses

CodeDescriptionSchema
200OKAPIEntitiesAwardEmoji
400Bad Request—
404Not Found—

Add an emoji reaction to an issue comment

POST /api/v4/projects/{id}/issues/{issue_iid}/notes/{note_id}/award_emoji

Adds an emoji reaction to a comment on an issue.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
issue_iid
Path, required
IntegerThe internal ID of an issuable
note_id
Path, required
IntegerThe ID of a note

Request body (application/json)

PropertyTypeDescription
name
Required
StringName of the emoji without colons

Responses

CodeDescriptionSchema
201CreatedAPIEntitiesAwardEmoji
400Bad Request—
404Not Found—

Retrieve an emoji reaction from an issue comment

GET /api/v4/projects/{id}/issues/{issue_iid}/notes/{note_id}/award_emoji/{award_id}

Retrieves a specified emoji reaction from a comment on an issue. This endpoint can be accessed without authentication if the comment is publicly accessible.

Parameters

NameTypeDescription
award_id
Path, required
IntegerID of the emoji reaction
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
issue_iid
Path, required
IntegerThe internal ID of an issuable
note_id
Path, required
IntegerThe ID of a note

Responses

CodeDescriptionSchema
200OKAPIEntitiesAwardEmoji
400Bad Request—
404Not Found—

Delete an emoji reaction from an issue comment

DELETE /api/v4/projects/{id}/issues/{issue_iid}/notes/{note_id}/award_emoji/{award_id}

Deletes a specified emoji reaction from a comment on an issue. Only an administrator or the user who added the reaction can delete it.

Parameters

NameTypeDescription
award_id
Path, required
IntegerID of an emoji reaction
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
issue_iid
Path, required
IntegerThe internal ID of an issuable
note_id
Path, required
IntegerThe ID of a note

Responses

CodeDescriptionSchema
204No Content—
400Bad Request—
401Unauthorized—
404Not Found—

List all emoji reactions for a merge request

GET /api/v4/projects/{id}/merge_requests/{merge_request_iid}/award_emoji

Lists all emoji reactions for a specified merge request. This endpoint can be accessed without authentication if the merge request is publicly accessible.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
merge_request_iid
Path, required
IntegerID (iid for merge requests/issues, id for snippets) of an awardable
page
Query
IntegerCurrent page number
Default: 1
Example: 1
per_page
Query
IntegerNumber of items per page
Default: 20
Example: 20

Responses

CodeDescriptionSchema
200OKAPIEntitiesAwardEmoji
400Bad Request—
404Not Found—

Add an emoji reaction to a merge request

POST /api/v4/projects/{id}/merge_requests/{merge_request_iid}/award_emoji

Adds an emoji reaction to a merge request.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
merge_request_iid
Path, required
IntegerThe internal ID of an issuable

Request body (application/json)

PropertyTypeDescription
name
Required
StringName of the emoji without colons

Responses

CodeDescriptionSchema
201CreatedAPIEntitiesAwardEmoji
400Bad Request—
404Not Found—

Retrieve an emoji reaction from a merge request

GET /api/v4/projects/{id}/merge_requests/{merge_request_iid}/award_emoji/{award_id}

Retrieves a specified emoji reaction from a merge request. This endpoint can be accessed without authentication if the merge request is publicly accessible.

Parameters

NameTypeDescription
award_id
Path, required
IntegerID of the emoji reaction
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
merge_request_iid
Path, required
IntegerThe internal ID of an issuable

Responses

CodeDescriptionSchema
200OKAPIEntitiesAwardEmoji
400Bad Request—
404Not Found—

Delete an emoji reaction from a merge request

DELETE /api/v4/projects/{id}/merge_requests/{merge_request_iid}/award_emoji/{award_id}

Deletes a specified emoji reaction from a merge request. Only an administrator or the user who added the reaction can delete it.

Parameters

NameTypeDescription
award_id
Path, required
IntegerID of an emoji reaction
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
merge_request_iid
Path, required
IntegerThe internal ID of an issuable

Responses

CodeDescriptionSchema
204No Content—
400Bad Request—
401Unauthorized—
404Not Found—

List all emoji reactions for a merge request comment

GET /api/v4/projects/{id}/merge_requests/{merge_request_iid}/notes/{note_id}/award_emoji

Lists all emoji reactions for a specified comment on a merge request. This endpoint can be accessed without authentication if the comment is publicly accessible.

Parameters

NameTypeDescription
note_id
Path, required
IntegerThe ID of a note
page
Query
IntegerCurrent page number
Default: 1
Example: 1
per_page
Query
IntegerNumber of items per page
Default: 20
Example: 20
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
merge_request_iid
Path, required
IntegerThe internal ID of an issuable

Responses

CodeDescriptionSchema
200OKAPIEntitiesAwardEmoji
400Bad Request—
404Not Found—

Add an emoji reaction to a merge request comment

POST /api/v4/projects/{id}/merge_requests/{merge_request_iid}/notes/{note_id}/award_emoji

Adds an emoji reaction to a comment on a merge request.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
merge_request_iid
Path, required
IntegerThe internal ID of an issuable
note_id
Path, required
IntegerThe ID of a note

Request body (application/json)

PropertyTypeDescription
name
Required
StringName of the emoji without colons

Responses

CodeDescriptionSchema
201CreatedAPIEntitiesAwardEmoji
400Bad Request—
404Not Found—

Retrieve an emoji reaction from a merge request comment

GET /api/v4/projects/{id}/merge_requests/{merge_request_iid}/notes/{note_id}/award_emoji/{award_id}

Retrieves a specified emoji reaction from a comment on a merge request. This endpoint can be accessed without authentication if the comment is publicly accessible.

Parameters

NameTypeDescription
award_id
Path, required
IntegerID of the emoji reaction
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
merge_request_iid
Path, required
IntegerThe internal ID of an issuable
note_id
Path, required
IntegerThe ID of a note

Responses

CodeDescriptionSchema
200OKAPIEntitiesAwardEmoji
400Bad Request—
404Not Found—

Delete an emoji reaction from a merge request comment

DELETE /api/v4/projects/{id}/merge_requests/{merge_request_iid}/notes/{note_id}/award_emoji/{award_id}

Deletes a specified emoji reaction from a comment on a merge request. Only an administrator or the user who added the reaction can delete it.

Parameters

NameTypeDescription
award_id
Path, required
IntegerID of an emoji reaction
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
merge_request_iid
Path, required
IntegerThe internal ID of an issuable
note_id
Path, required
IntegerThe ID of a note

Responses

CodeDescriptionSchema
204No Content—
400Bad Request—
401Unauthorized—
404Not Found—

List all emoji reactions for a snippet

GET /api/v4/projects/{id}/snippets/{snippet_id}/award_emoji

Lists all emoji reactions for a specified snippet. This endpoint can be accessed without authentication if the snippet is publicly accessible.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
snippet_id
Path, required
IntegerID (iid for merge requests/issues, id for snippets) of an awardable
page
Query
IntegerCurrent page number
Default: 1
Example: 1
per_page
Query
IntegerNumber of items per page
Default: 20
Example: 20

Responses

CodeDescriptionSchema
200OKAPIEntitiesAwardEmoji
400Bad Request—
404Not Found—

Add an emoji reaction to a snippet

POST /api/v4/projects/{id}/snippets/{snippet_id}/award_emoji

Adds an emoji reaction to a snippet.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
snippet_id
Path, required
IntegerThe ID of a project snippet

Request body (application/json)

PropertyTypeDescription
name
Required
StringName of the emoji without colons

Responses

CodeDescriptionSchema
201CreatedAPIEntitiesAwardEmoji
400Bad Request—
404Not Found—

Retrieve an emoji reaction from a snippet

GET /api/v4/projects/{id}/snippets/{snippet_id}/award_emoji/{award_id}

Retrieves a specified emoji reaction from a snippet. This endpoint can be accessed without authentication if the snippet is publicly accessible.

Parameters

NameTypeDescription
award_id
Path, required
IntegerID of the emoji reaction
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
snippet_id
Path, required
IntegerThe ID of a project snippet

Responses

CodeDescriptionSchema
200OKAPIEntitiesAwardEmoji
400Bad Request—
404Not Found—

Delete an emoji reaction from a snippet

DELETE /api/v4/projects/{id}/snippets/{snippet_id}/award_emoji/{award_id}

Deletes a specified emoji reaction from a snippet. Only an administrator or the user who added the reaction can delete it.

Parameters

NameTypeDescription
award_id
Path, required
IntegerID of an emoji reaction
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
snippet_id
Path, required
IntegerThe ID of a project snippet

Responses

CodeDescriptionSchema
204No Content—
400Bad Request—
401Unauthorized—
404Not Found—

List all emoji reactions for a snippet comment

GET /api/v4/projects/{id}/snippets/{snippet_id}/notes/{note_id}/award_emoji

Lists all emoji reactions for a specified comment on a snippet. This endpoint can be accessed without authentication if the comment is publicly accessible.

Parameters

NameTypeDescription
note_id
Path, required
IntegerThe ID of a note
page
Query
IntegerCurrent page number
Default: 1
Example: 1
per_page
Query
IntegerNumber of items per page
Default: 20
Example: 20
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
snippet_id
Path, required
IntegerThe ID of a project snippet

Responses

CodeDescriptionSchema
200OKAPIEntitiesAwardEmoji
400Bad Request—
404Not Found—

Add an emoji reaction to a snippet comment

POST /api/v4/projects/{id}/snippets/{snippet_id}/notes/{note_id}/award_emoji

Adds an emoji reaction to a comment on a snippet.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
snippet_id
Path, required
IntegerThe ID of a project snippet
note_id
Path, required
IntegerThe ID of a note

Request body (application/json)

PropertyTypeDescription
name
Required
StringName of the emoji without colons

Responses

CodeDescriptionSchema
201CreatedAPIEntitiesAwardEmoji
400Bad Request—
404Not Found—

Retrieve an emoji reaction from a snippet comment

GET /api/v4/projects/{id}/snippets/{snippet_id}/notes/{note_id}/award_emoji/{award_id}

Retrieves a specified emoji reaction from a comment on a snippet. This endpoint can be accessed without authentication if the comment is publicly accessible.

Parameters

NameTypeDescription
award_id
Path, required
IntegerID of the emoji reaction
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
snippet_id
Path, required
IntegerThe ID of a project snippet
note_id
Path, required
IntegerThe ID of a note

Responses

CodeDescriptionSchema
200OKAPIEntitiesAwardEmoji
400Bad Request—
404Not Found—

Delete an emoji reaction from a snippet comment

DELETE /api/v4/projects/{id}/snippets/{snippet_id}/notes/{note_id}/award_emoji/{award_id}

Deletes a specified emoji reaction from a comment on a snippet. Only an administrator or the user who added the reaction can delete it.

Parameters

NameTypeDescription
award_id
Path, required
IntegerID of an emoji reaction
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
snippet_id
Path, required
IntegerThe ID of a project snippet
note_id
Path, required
IntegerThe ID of a note

Responses

CodeDescriptionSchema
204No Content—
400Bad Request—
401Unauthorized—
404Not Found—

Schemas

Objects returned by the operations above and objects nested in their request bodies.

APIEntitiesAwardEmoji

PropertyTypeDescription
awardable_idInteger (int64)Example: 42
awardable_typeStringExample: Issue
created_atString (date-time)Example: 2019-01-10T13:39:08Z
idInteger (int64)Example: 1
nameStringExample: lizard
updated_atString (date-time)Example: 2020-06-28T10:52:04Z
urlStringExample: https://example.com/emojis/example.gif
userAPIEntitiesUserBasic—

APIEntitiesCustomAttribute

PropertyTypeDescription
keyStringExample: foo
valueStringExample: bar

APIEntitiesUserBasic

PropertyTypeDescription
avatar_pathStringExample: /user/avatar/28/The-Big-Lebowski-400-400.png
avatar_urlStringExample: https://gravatar.com/avatar/1
custom_attributesArray of APIEntitiesCustomAttribute—
idInteger (int64)Example: 1
lockedBoolean—
nameStringExample: Administrator
public_emailStringExample: john@example.com
stateStringExample: active
usernameStringExample: admin
web_urlStringExample: https://gitlab.example.com/root